Bug 885488 - AttributeError: 'Client' object has no attribute 'get_udi'
Summary: AttributeError: 'Client' object has no attribute 'get_udi'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:81f64ae019fca1120972963dcc7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-09 19:56 UTC by Rovanion Luckey
Modified: 2012-12-15 03:18 UTC (History)
6 users (show)

Fixed In Version: anaconda-18.38-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-15 03:18:09 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (588.85 KB, text/plain)
2012-12-09 19:56 UTC, Rovanion Luckey
no flags Details
File: environ (885 bytes, text/plain)
2012-12-09 19:56 UTC, Rovanion Luckey
no flags Details
File: type (9 bytes, text/plain)
2012-12-09 19:56 UTC, Rovanion Luckey
no flags Details
File: ifcfg.log (1.73 KB, text/plain)
2012-12-09 19:56 UTC, Rovanion Luckey
no flags Details
File: storage.log (220.35 KB, text/plain)
2012-12-09 19:56 UTC, Rovanion Luckey
no flags Details
File: version (2 bytes, text/plain)
2012-12-09 19:56 UTC, Rovanion Luckey
no flags Details
File: program.log (79.65 KB, text/plain)
2012-12-09 19:56 UTC, Rovanion Luckey
no flags Details
File: executable (14 bytes, text/plain)
2012-12-09 19:56 UTC, Rovanion Luckey
no flags Details
File: product (6 bytes, text/plain)
2012-12-09 19:56 UTC, Rovanion Luckey
no flags Details
File: anaconda.log (33.68 KB, text/plain)
2012-12-09 19:57 UTC, Rovanion Luckey
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-12-09 19:57 UTC, Rovanion Luckey
no flags Details
File: cmdline_file (175 bytes, text/plain)
2012-12-09 19:57 UTC, Rovanion Luckey
no flags Details
File: release (33 bytes, text/plain)
2012-12-09 19:57 UTC, Rovanion Luckey
no flags Details
File: messages (228.70 KB, text/plain)
2012-12-09 19:57 UTC, Rovanion Luckey
no flags Details

Description Rovanion Luckey 2012-12-09 19:56:27 UTC
Description of problem:
Go trough the installer and enter the "manual" partition part of it.
Put your computer to sleep.
Discover a bug window when it wakes up.


Version-Release number of selected component:
anaconda-18.29.2-1.fc18.i686

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.6-3.fc18.i686

description:
:The following was filed automatically by anaconda:
:anaconda 18.29.2 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 588, in remove_device
:    if (device.get_udi() == row[DEVICES_COLUMN_OBJECT].get_udi()):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 409, in on_device_removed
:    self.remove_device(device)
:AttributeError: 'Client' object has no attribute 'get_udi'

Comment 1 Rovanion Luckey 2012-12-09 19:56:39 UTC
Created attachment 660392 [details]
File: anaconda-tb

Comment 2 Rovanion Luckey 2012-12-09 19:56:41 UTC
Created attachment 660393 [details]
File: environ

Comment 3 Rovanion Luckey 2012-12-09 19:56:43 UTC
Created attachment 660394 [details]
File: type

Comment 4 Rovanion Luckey 2012-12-09 19:56:45 UTC
Created attachment 660395 [details]
File: ifcfg.log

Comment 5 Rovanion Luckey 2012-12-09 19:56:50 UTC
Created attachment 660396 [details]
File: storage.log

Comment 6 Rovanion Luckey 2012-12-09 19:56:52 UTC
Created attachment 660397 [details]
File: version

Comment 7 Rovanion Luckey 2012-12-09 19:56:55 UTC
Created attachment 660398 [details]
File: program.log

Comment 8 Rovanion Luckey 2012-12-09 19:56:57 UTC
Created attachment 660399 [details]
File: executable

Comment 9 Rovanion Luckey 2012-12-09 19:56:59 UTC
Created attachment 660400 [details]
File: product

Comment 10 Rovanion Luckey 2012-12-09 19:57:02 UTC
Created attachment 660401 [details]
File: anaconda.log

Comment 11 Rovanion Luckey 2012-12-09 19:57:04 UTC
Created attachment 660402 [details]
File: hashmarkername

Comment 12 Rovanion Luckey 2012-12-09 19:57:06 UTC
Created attachment 660403 [details]
File: cmdline_file

Comment 13 Rovanion Luckey 2012-12-09 19:57:09 UTC
Created attachment 660404 [details]
File: release

Comment 14 Rovanion Luckey 2012-12-09 19:57:15 UTC
Created attachment 660405 [details]
File: messages

Comment 15 Radek Vykydal 2012-12-10 12:25:57 UTC
Patch posted to anaconda-patches list.

If you want to try the fix, here is updates image for F18 Beta:
http://rvykydal.fedorapeople.org/updates.get_udi.img

You can use it by adding
updates=http://rvykydal.fedorapeople.org/updates.get_udi.img
to installer boot options.

Comment 16 Fedora Update System 2012-12-12 00:54:54 UTC
anaconda-18.37.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-19991/anaconda-18.37.1-1.fc18

Comment 17 Fedora Update System 2012-12-12 20:42:24 UTC
Package anaconda-18.37.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19991/anaconda-18.37.1-1.fc18
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2012-12-15 03:18:10 UTC
anaconda-18.37.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.